﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;
using System.Diagnostics;
using Telerik.Windows.Controls.DragDrop;
using Telerik.Windows;
using System.Windows.Automation;

namespace TreeView
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            BindTree();
        }

        private void BindTree()
        {
            ObservableCollection<DataItem> rootColl = new ObservableCollection<DataItem>();
            for (int i = 0; i < 3; i++)
            {
                DataItem item = new DataItem() { Name = "Item " + i };
                for (int j = 0; j < 3; j++)
                {
                    DataItem child = new DataItem() { Name = "Child " + j };
                    for (int k = 0; k < 3; k++)
                    {
                        DataItem grand = new DataItem() { Name = "GrandChild " + k };
                        child.Children.Add(grand);
                    }
                    item.Children.Add(child);
                }
                rootColl.Add(item);
            }
            this.tree.ItemsSource = rootColl;
        }
      
    }
}
