﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace TreeView
{
    public class DataItem : ViewModelBase
    {
        public DataItem()
        {
            this.Children = new ObservableCollection<DataItem>();
        }

        public ObservableCollection<DataItem> Children
        {
            get;
            set;
        }
        
        private string _name;
        public string Name
        {
            get { return _name; }
            set
            {
                _name = value;
                this.OnPropertyChanged("Name");
            }
        }

        #region MyProperty (INotifyPropertyChanged Property)
        private bool isInEditMode;

        public bool IsInEditMode
        {
            get { return isInEditMode; }
            set
            {
                isInEditMode = value;
                this.OnPropertyChanged("IsInEditMode");
            }
        }
        #endregion    
    }
}
